void ADS1115() {

	const byte numReadings = 3;
	const int interval_ADS1115 = 50;
	
	static byte index = 0;                  // the index of the current reading
	static long total0 = 0;                 // the running total
	static int readings0[numReadings];      // the readings from the analog input
	static long total1 = 0;                 // the running total
	static int readings1[numReadings];      // the readings from the analog input
	static long total2 = 0;                 // the running total
	static int readings2[numReadings];      // the readings from the analog input
	static long total3 = 0;                 // the running total
	static int readings3[numReadings];      // the readings from the analog input
	
	static unsigned long previousMillis_ADS1115 = 0;
	int adc0;
	int adc1;
	int adc2;
	int adc3;
	
	if (millis() - previousMillis_ADS1115 > interval_ADS1115) {
		// adc1 = ads.readADC_SingleEnded(ADS_Stromsensor);
		// adc0 = ads.readADC_SingleEnded(ADS_Batteriespannung);
		adc2 = ads.readADC_SingleEnded(ADS_Schaltschrank);
		adc3 = ads.readADC_SingleEnded(ADS_Boiler);

		// Strom Batterie
		/*
		total1 -= readings1[index];
		readings1[index] = adc1;
		total1 += readings1[index];
		i_bat = (13850 - ((float)total1 / numReadings)) * 0.1875 / 66;
		

		// Spannungsmessung Batterie
		total0 -= readings0[index];
		readings0[index] = adc0;
		total0 += readings0[index];
		u_bat = ((float)total0 / numReadings) * 0.1875 * 7.77;
		//u_bat = ((float)total0 / numReadings) * 0.1875 * 6.125;
		*/
		// Temperaturmessung Schaltschrank
		total2 -= readings2[index];
		readings2[index] = adc2;
		total2 += readings2[index];
		tempSchaltschrank = ((float)total2 / numReadings) * 0.1875 / 10;
	
		// Temperaturmessung Boiler
		total3 -= readings3[index];
		readings3[index] = adc3;
		total3 += readings3[index];
		tempBoiler = ((float)total3 / numReadings) * 0.1875  / 10;
		
		index++;
		if (index >= numReadings) index = 0; 
		
		previousMillis_ADS1115 = millis();
	}
}
