void BMS_logging()
{   

  serialEvent_BMS(); //call the function

  //Stringauswertung

  // print the string when a newline arrives:
  if (stringComplete) {
	if (inputString_BMS.indexOf("|") == 0) {   //alternativ "#" wenns im BMS Code umgeflasht ; prüft, ob String beginnt mit | oder #
	
	byte z = 1;							//Zählvariable bis 18 für Trennezeichen
	byte temp[20];						//Array speichert Positionen der Trennzeichen
	temp[0]=0;							//erste Zelle im Array wird auf 0 gesetzt, da der String mit einem Trennzeichen bzw. Sonderzeichen beginnt(kein Nutzbyte)

	//to do Variaben neu benennen und als globale Variablen definieren, damit unter Outputroutine die Daten an das Raspberry übermittelt werden könen
	
	
	int u[15];							//Array speichert extrahierte Zellspannungen
	float t[3];							//Array speichert Temperaturwerte der zwei Temperatursensoren im Akkublock
	long loadVoltage;					//Spannung auf BMS Lastseite bei getrennten Mosfets
	int balancingStatus;				//Balancing Status als Bitmaske für alle Zellen

	for(int i = 1; i<inputString_BMS.length();i++){		//Auswertelogik: Sucht nach Trennzeichen und speichert die Stelle im String in das Array temp[]
	
		if( inputString_BMS.charAt(i) == 0x7C){  //0x7C == |
			temp[z] = i;
			z++;
		}
	}


	for(int j = 0; j<10;j++){			//Zellspannungen werden aus String extrahiert zu Integer umgewandelt und im Array u eingespeichert

		u[j] =  inputString_BMS.substring(temp[j]+1,temp[j+1]).toInt();

	}


	u_bat =  inputString_BMS.substring(temp[10]+1,temp[11]).toInt();

	i_bat =  inputString_BMS.substring(temp[11]+1,temp[12]).toInt();

	soc =  inputString_BMS.substring(temp[12]+1,temp[13]).toFloat();

	for(int j = 13; j<15;j++){			//Zelltemperaturen werden aus String extrahiert zu Integer umgewandelt und im Array t eingespeichert
		 
		t[j] =  inputString_BMS.substring(temp[j]+1,temp[j+1]).toFloat();

	}

	loadVoltage =  inputString_BMS.substring(temp[15]+1,temp[16]).toInt();

	balancingStatus =  inputString_BMS.substring(temp[16]+1,temp[17]).toInt();


     }//if inputString_BMS,IndexOf
  
     
    // clear the string:
    inputString_BMS = "";
    stringComplete = false;
	
  } //if StringComplete
} // BMS_logging()

/*
  serialEvent_BMS occurs whenever a new data comes in the
  hardware serial RX.  This routine is run between each
  time loop() runs, so using delay inside loop can delay
  response.  Multiple bytes of data may be available.
*/
void serialEvent_BMS() {
  while (Serial2.available()) {
    // get the new byte:
    char inChar = (char)Serial2.read();
    // add it to the inputString_BMS:
    inputString_BMS += inChar;
    // if the incoming character is a newline, set a flag
    // so the main loop can do something about it:
    if (inChar == '\n') {
      stringComplete = true;
    }
  }
}
