void serialEvent_LR() {

	static String inputString = "";
	static boolean select_LR;

	while (Serial3.available()) {
		char inChar = (char)Serial3.read();
		inputString += inChar;

		if (inChar == '\n') {

			// Batteriespannung
			if (inputString.indexOf("V\t") == 0) {
				if (select_LR == HIGH) u_bat_LR2 = (inputString.substring(1)).toInt();
				else u_bat_LR1 = (inputString.substring(1)).toInt();
			}

			// Ladestrom
			if (inputString.indexOf("I\t") == 0) {
				if (select_LR == HIGH) PV_i_LR2 = (inputString.substring(1)).toInt();
				else PV_i_LR1 = (inputString.substring(1)).toInt();
				PV_i_LR1_2 = PV_i_LR1 + PV_i_LR2;
			}

			// PV-Leistung
			if (inputString.indexOf("PPV") == 0) {
				if (select_LR == HIGH) PV_Power_LR2 = (inputString.substring(3)).toInt();
				else PV_Power_LR1 = (inputString.substring(3)).toInt();
				PPV_LR1_2 = PV_Power_LR1 + PV_Power_LR2;
			}

			// Charging State
			if (inputString.indexOf("CS") == 0) {
				if (select_LR == HIGH) CS_LR2 = (inputString.substring(2)).toInt();
				else CS_LR1 = (inputString.substring(2)).toInt();
			}

			// error code
			if (inputString.indexOf("ERR") == 0) {
				if (select_LR == HIGH) ERR_LR2 = (inputString.substring(2)).toInt();
				else ERR_LR1 = (inputString.substring(2)).toInt();
			}

			// Gesamtertrag
			if (inputString.indexOf("H19") == 0) {
				if (select_LR == HIGH) yield_total_LR2 = (inputString.substring(3)).toInt();
				else yield_total_LR1 = (inputString.substring(3)).toInt();
				yield_total_LR1_2 = yield_total_LR1 + yield_total_LR2;
			}

			// Tagesertrag
			if (inputString.indexOf("H20") == 0) {
				if (select_LR == HIGH) yield_today_LR2 = (inputString.substring(3)).toInt();
				else yield_today_LR1 = (inputString.substring(3)).toInt();

				if (select_LR == HIGH) select_LR = LOW;
				else select_LR = HIGH; // HIGH wenn LR2 wieder angeschlossen ist!

				digitalWrite(LR_Multiplexer, select_LR);
			}

			inputString = "";
		}
	}
}
