void Heizstab() {
    
//Einschaltkriterium Heizstab 
 if (bat_voll) {   //Heizstab geht an, wenn entweder LR  1 oder LR2 in Absorption geht  
//   i_bat_soll = 100;//mA //Sollwert vorgeben
//   Setpoint = i_bat_soll; //Sollwert vorgeben

   Heizstab_control(); //Funktion siehe unten

//PID Regler aktivieren
//Input = i_bat; //Input = analogRead(0);//
//myPID.Compute();//

 }
//Schutz, dass Heizstab nicht hochgeregelt wird, wenn Batterie nicht voll
else  Heizstab_soll = 0;

analogWrite(PWM_Heizstab, Heizstab_soll);//Heizstabansteuerung//
				
}	//end loop		
			  
void Heizstab_control(){
	
//Variablendeklaration
		
	const int hysterese_Heizstab = 500; //Einheit [mA]
	const int inkrement = 1;
	const unsigned long interval_Heizstab_regel_positiv = 1000; //150s bis hoch//60000ms/255Schritte = 235
	const unsigned long interval_Heizstab_regel_negativ = 1000; //75sec
	const unsigned long interval_Heizstab_regel_negativ_langsam = 1000; //150s bis hoch//30sec
	static unsigned long previousMillis_Heizstab_regel3;
	static unsigned long previousMillis_Heizstab_regel4;
	static unsigned long previousMillis_Heizstab_regel5;
	const int Heizstab_soll_max = 150;
    const int i_bat_soll = -1000;//mA 
	
              //Regelalgorithmus. So lange Bedingung erfüllt regelt Heizstab hoch. Geht nicht, wenn Batterie schon zu 100% voll, da dann der Batterieladestrom <100mA wird.

              if ((i_bat >= i_bat_soll + hysterese_Heizstab)){  //langsam hochregeln
              
                   if (millis() - previousMillis_Heizstab_regel3 > interval_Heizstab_regel_positiv) {
                                                
                                                   
                                                    //Heizstab hochregeln Zahl zwischen 0 und 255
                                                    Heizstab_soll = Heizstab_soll + inkrement;          
              
              
                                                      if (Heizstab_soll > Heizstab_soll_max)  {
                                                      Heizstab_soll = Heizstab_soll_max;
                                                      } 
                                                      //analogWrite(PWM_Heizstab, Heizstab_soll); 
                                                  
                    previousMillis_Heizstab_regel3 = millis();
                    }
              }

			  //langsameres Zurückregeln bei Unterschreitung der ersten Grenze (100mA+hysterese)
			  
             /* if (i_bat > i_bat_soll && i_bat < i_bat_soll + hysterese_Heizstab){ 
                                            if (millis() - previousMillis_Heizstab_regel4 > interval_Heizstab_regel_negativ_langsam) {
                                                    
                                                       
                                                        //Heizstab runterregeln Zahl zwischen 255 und 0
                                                        Heizstab_soll = Heizstab_soll - inkrement;          
                                                        
                                                        if (Heizstab_soll < 0)  {
                                                        Heizstab_soll = 0;                                                                                   
                                                        }
                                                        //analogWrite(PWM_Heizstab, Heizstab_soll); 
                                                        
                                              previousMillis_Heizstab_regel4 = millis();
                                              }  
              }
              */
              if ((i_bat <= i_bat_soll)){  //schnelles runterregeln bei Unterschreitung des Stromsollwertes = 100mA;
              
                 if (millis() - previousMillis_Heizstab_regel5 > interval_Heizstab_regel_negativ) {
                                                    
                                                       
                                                        //Heizstab runterregeln Zahl zwischen 255 und 0
                                                        Heizstab_soll = Heizstab_soll - inkrement;          
                                                        if (Heizstab_soll < 0)  {
                                                        Heizstab_soll = 0;                                                                                   
                                                        }
                                                        //analogWrite(PWM_Heizstab, Heizstab_soll);
                 previousMillis_Heizstab_regel5 = millis();                                              }
                 }
				
				//Ausgabe Regelsignal an Heizstab
                 analogWrite(PWM_Heizstab, Heizstab_soll);
}
